> ## Documentation Index
> Fetch the complete documentation index at: https://developer.supernotes.app/llms.txt
> Use this file to discover all available pages before exploring further.

#  Get Outgoing Requests



## OpenAPI

````yaml get /v1/friends/outgoing
openapi: 3.1.0
info:
  title: supernotes
  description: The Supernotes API – a modern and fast API for quick card creation
  version: 3.2.1
servers: []
security: []
paths:
  /v1/friends/outgoing:
    get:
      tags:
        - friends
      summary: ' Get Outgoing Requests'
      operationId: _get_outgoing_requests_v1_friends_outgoing_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/FriendshipResponse'
                type: array
                title: Response  Get Outgoing Requests V1 Friends Outgoing Get
      security:
        - APIKeyHeader: []
components:
  schemas:
    FriendshipResponse:
      properties:
        other_user:
          $ref: '#/components/schemas/UserPublicProfile'
        modified_when:
          type: string
          format: date-time
          title: Modified When
      type: object
      required:
        - other_user
        - modified_when
      title: FriendshipResponse
    UserPublicProfile:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        username:
          type: string
          title: Username
        first_name:
          type: string
          title: First Name
        last_name:
          type: string
          title: Last Name
        bio:
          anyOf:
            - type: string
            - type: 'null'
          title: Bio
        photo:
          anyOf:
            - type: string
            - type: 'null'
          title: Photo
      type: object
      required:
        - id
        - username
        - first_name
        - last_name
        - bio
        - photo
      title: UserPublicProfile
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Api-Key

````